Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataFolder

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataFolder

All Implemented Interfaces:
  IDataFolder

public class DataFolder
extends java.lang.Object
implements IDataFolder

DataFolder
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataFolder()`

Method Summary
`void` | `createFolder(org.esupportail.portal.utils.database.Query query, Folder folder)` Création d'un dossier
`boolean` | `folderExist(org.esupportail.portal.utils.database.Query query, Folder folder)` Vérification existence d'un dossier
`Folder` | `getFolder(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération d'un dossier
`java.util.Collection` | `getFolderChildren(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste de tous les sous-dossiers d'un dossier
`int` | `getNextFolder(org.esupportail.portal.utils.database.Query query)` Identifiant du prochain dossier
`Path` | `getPath(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Construit le chemin d'un dossier
`SubFolder` | `getSubFolder(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération d'un sous-dossier
`java.util.Collection` | `getSubFolders(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération des sous-dossiers
`boolean` | `isFolderEmpty(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Vérifie si un dossier est vide
`void` | `removeFolder(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Suppression d'un dossier
`void` | `setName(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String name)` Modifie le nom d'un dossier
`void` | `setValidation(org.esupportail.portal.utils.database.Query query, java.lang.String id, boolean validation)` Modifie la validation d'un dossier

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFolder

    public DataFolder()

Method Detail

### getFolder

    public Folder getFolder(org.esupportail.portal.utils.database.Query query,
                            java.lang.String id)
                     throws DataException

  Récupération d'un dossier

  Specified by:
    `getFolder` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    Le dossier
  Throws:
    `DataException`

### getSubFolder

    public SubFolder getSubFolder(org.esupportail.portal.utils.database.Query query,
                                  java.lang.String id)
                           throws DataException

  Récupération d'un sous-dossier

  Specified by:
    `getSubFolder` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du sous-dossier
  Returns:
    Le sous-dossier
  Throws:
    `DataException`

### getSubFolders

    public java.util.Collection getSubFolders(org.esupportail.portal.utils.database.Query query,
                                              java.lang.String id)
                                       throws DataException

  Récupération des sous-dossiers

  Specified by:
    `getSubFolders` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier parent
  Returns:
    La liste des sous-dossiers
  Throws:
    `DataException`

### createFolder

    public void createFolder(org.esupportail.portal.utils.database.Query query,
                             Folder folder)
                      throws DataException

  Création d'un dossier

  Specified by:
    `createFolder` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `folder` - Le dossier à créer
  Returns:
    L'identifiant du dossier créé
  Throws:
    `DataException`

### removeFolder

    public void removeFolder(org.esupportail.portal.utils.database.Query query,
                             java.lang.String id)
                      throws DataException

  Suppression d'un dossier

  Specified by:
    `removeFolder` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### setValidation

    public void setValidation(org.esupportail.portal.utils.database.Query query,
                              java.lang.String id,
                              boolean validation)
                       throws DataException

  Modifie la validation d'un dossier

  Specified by:
    `setValidation` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `validation` - True pour activer la validation, false pour la désactiver
  Throws:
    `DataException`

### setName

    public void setName(org.esupportail.portal.utils.database.Query query,
                        java.lang.String id,
                        java.lang.String name)
                 throws DataException

  Modifie le nom d'un dossier

  Specified by:
    `setName` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `name` - Le nouveau nom du dossier
  Throws:
    `DataException`

### getNextFolder

    public int getNextFolder(org.esupportail.portal.utils.database.Query query)
                      throws DataException

  Identifiant du prochain dossier

  Specified by:
    `getNextFolder` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
  Returns:
    int L'identifiant
  Throws:
    `DataException`

### folderExist

    public boolean folderExist(org.esupportail.portal.utils.database.Query query,
                               Folder folder)
                        throws DataException

  Vérification existence d'un dossier

  Specified by:
    `folderExist` in interface `IDataFolder`
  Returns:
    boolean True si le dossier existe, faux sinon
  Throws:
    `DataException`

### isFolderEmpty

    public boolean isFolderEmpty(org.esupportail.portal.utils.database.Query query,
                                 java.lang.String id)
                          throws DataException

  Vérifie si un dossier est vide

  Specified by:
    `isFolderEmpty` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    boolean True si le dossier est vide, faux sinon
  Throws:
    `DataException`

### getPath

    public Path getPath(org.esupportail.portal.utils.database.Query query,
                        java.lang.String id)
                 throws DataException

  Construit le chemin d'un dossier

  Specified by:
    `getPath` in interface `IDataFolder`
  Parameters:
    `id` - L'identifiant du dossier
    `query` - La connexion à utiliser
  Returns:
    Path le chemin du dossier
  Throws:
    `DataException`

### getFolderChildren

    public java.util.Collection getFolderChildren(org.esupportail.portal.utils.database.Query query,
                                                  java.lang.String id)
                                           throws DataException

  Retourne la liste de tous les sous-dossiers d'un dossier

  Specified by:
    `getFolderChildren` in interface `IDataFolder`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    Collection La liste des sous-dossiers
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD